UMAD_ALLOC(3)

NAME
umad_alloc - allocate memory for umad buffers

SYNOPSIS
#include <infiniband/umad.h>

void * umad_alloc(int num, size_t size);

DESCRIPTION
umad_alloc() allocates memory for an array of num umad buffers of size bytes. Note that size should include the umad_size() plus the length (MAD_BLOCK_SIZE for normal MADs or the length returned from umad_recv() for RMPP MADs).

RETURN VALUE
umad_alloc() returns NULL if out of memory.

SEE ALSO
umad_free(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>